<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JDialogFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <EmptySpace min="18" pref="18" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <Group type="103" groupAlignment="0" max="-2" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="58" max="-2" attributes="0"/>
                              <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="txtNroCompra" min="-2" pref="90" max="-2" attributes="0"/>
                              <EmptySpace type="separate" max="-2" attributes="0"/>
                              <Component id="cboTC" min="-2" pref="90" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="jLabel4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="38" max="-2" attributes="0"/>
                              <Component id="jLabel3" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="36" max="-2" attributes="0"/>
                              <Component id="jLabel5" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="51" max="-2" attributes="0"/>
                              <Component id="jLabel6" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="txtNroSerie" min="-2" pref="60" max="-2" attributes="0"/>
                              <EmptySpace type="separate" max="-2" attributes="0"/>
                              <Component id="txtNroDoc" min="-2" pref="92" max="-2" attributes="0"/>
                              <EmptySpace type="unrelated" max="-2" attributes="0"/>
                              <Component id="txtNroFecha" min="-2" pref="110" max="-2" attributes="0"/>
                              <EmptySpace type="unrelated" max="-2" attributes="0"/>
                              <Component id="txtPorIGV" min="-2" pref="70" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="btngrabar" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="btnSalir" min="-2" max="-2" attributes="0"/>
                      <EmptySpace min="-2" pref="27" max="-2" attributes="0"/>
                      <Component id="jPanel2" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace max="32767" attributes="0"/>
          </Group>
          <Group type="102" alignment="0" attributes="0">
              <Component id="jPanel1" min="-2" pref="651" max="-2" attributes="0"/>
              <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="jLabel1" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel4" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel6" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="1" attributes="0">
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="txtNroCompra" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="cboTC" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="txtNroSerie" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="txtNroDoc" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Component id="txtNroFecha" min="-2" max="-2" attributes="0"/>
                  <Component id="txtPorIGV" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Component id="jPanel1" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="btngrabar" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="btnSalir" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                  </Group>
                  <Component id="jPanel2" max="32767" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="text" type="java.lang.String" value="N&#xb0; Compra"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="txtNroCompra">
      <Properties>
        <Property name="editable" type="boolean" value="false"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="txtNroCompraActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel2">
      <Properties>
        <Property name="text" type="java.lang.String" value="Tipo Comprobante"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JComboBox" name="cboTC">
      <Properties>
        <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
          <StringArray count="4">
            <StringItem index="0" value="Item 1"/>
            <StringItem index="1" value="Item 2"/>
            <StringItem index="2" value="Item 3"/>
            <StringItem index="3" value="Item 4"/>
          </StringArray>
        </Property>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel3">
      <Properties>
        <Property name="text" type="java.lang.String" value="N&#xb0; Documento"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel4">
      <Properties>
        <Property name="text" type="java.lang.String" value="N&#xb0; Serie"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="txtNroSerie">
    </Component>
    <Component class="javax.swing.JTextField" name="txtNroDoc">
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel5">
      <Properties>
        <Property name="text" type="java.lang.String" value="Fecha Compra"/>
      </Properties>
    </Component>
    <Component class="com.toedter.calendar.JDateChooser" name="txtNroFecha">
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel6">
      <Properties>
        <Property name="text" type="java.lang.String" value="IGV(%)"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="txtPorIGV">
    </Component>
    <Container class="javax.swing.JPanel" name="jPanel1">
      <Properties>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.TitledBorderInfo">
            <TitledBorder title="Datos Personales">
              <Color PropertyName="color" blue="cc" green="0" red="0" type="rgb"/>
            </TitledBorder>
          </Border>
        </Property>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" attributes="0">
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Component id="jLabel7" alignment="1" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabel8" alignment="1" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabel9" alignment="1" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="102" attributes="0">
                                  <Component id="txtRUC" min="-2" pref="87" max="-2" attributes="0"/>
                                  <EmptySpace max="-2" attributes="0"/>
                                  <Component id="btnBuscar" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <Component id="lblRazónSocial" alignment="0" min="-2" pref="560" max="-2" attributes="0"/>
                              <Group type="102" alignment="0" attributes="0">
                                  <Component id="lblDireccion" min="-2" pref="392" max="-2" attributes="0"/>
                                  <EmptySpace max="-2" attributes="0"/>
                                  <Component id="jLabel12" min="-2" max="-2" attributes="0"/>
                                  <EmptySpace max="-2" attributes="0"/>
                                  <Component id="lblTelefono" min="-2" pref="101" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                          <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="1" attributes="0">
                          <Component id="jLabel14" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="32767" attributes="0"/>
                          <Component id="btnAgregar" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="btnQuitar" min="-2" pref="121" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="1" attributes="0">
                          <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                          <Component id="jScrollPane1" min="-2" pref="626" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace min="-2" pref="25" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel7" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="txtRUC" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="btnBuscar" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel8" min="-2" max="-2" attributes="0"/>
                      <Component id="lblRazónSocial" min="-2" pref="14" max="-2" attributes="0"/>
                  </Group>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" attributes="0">
                          <EmptySpace max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="jLabel9" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="lblDireccion" alignment="3" min="-2" pref="14" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <EmptySpace min="-2" pref="8" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="jLabel12" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="lblTelefono" alignment="3" min="-2" pref="14" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                  </Group>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel14" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="btnAgregar" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="btnQuitar" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="jScrollPane1" min="-2" pref="151" max="-2" attributes="0"/>
                  <EmptySpace max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="jLabel7">
          <Properties>
            <Property name="text" type="java.lang.String" value="RUC:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel8">
          <Properties>
            <Property name="text" type="java.lang.String" value="Raz&#xf3;n Social:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel9">
          <Properties>
            <Property name="text" type="java.lang.String" value="Direcci&#xf3;n:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="txtRUC">
          <Properties>
            <Property name="background" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
              <Color blue="f0" green="f0" red="f0" type="rgb"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="txtRUCActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="lblRaz&#xf3;nSocial">
        </Component>
        <Component class="javax.swing.JLabel" name="lblDireccion">
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel12">
          <Properties>
            <Property name="text" type="java.lang.String" value="Telefono:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel14">
          <Properties>
            <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
              <Color blue="ff" green="33" red="0" type="rgb"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Art&#xed;culos registrados en la compra:"/>
          </Properties>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPane1">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTable" name="tblCompraDetalle">
              <Properties>
                <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
                  <Table columnCount="4" rowCount="4">
                    <Column editable="true" title="Title 1" type="java.lang.Object"/>
                    <Column editable="true" title="Title 2" type="java.lang.Object"/>
                    <Column editable="true" title="Title 3" type="java.lang.Object"/>
                    <Column editable="true" title="Title 4" type="java.lang.Object"/>
                  </Table>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="propertyChange" listener="java.beans.PropertyChangeListener" parameters="java.beans.PropertyChangeEvent" handler="tblCompraDetallePropertyChange"/>
                <EventHandler event="keyPressed" listener="java.awt.event.KeyListener" parameters="java.awt.event.KeyEvent" handler="tblCompraDetalleKeyPressed"/>
              </Events>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JButton" name="btnAgregar">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/imagenes/add2.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Agregar art&#xed;culo"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnAgregarActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnQuitar">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/imagenes/delete.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Quitar art&#xed;culo"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnQuitarActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnBuscar">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/imagenes/cargos.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Buscar"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnBuscarActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="lblTelefono">
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JButton" name="btngrabar">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/imagenes/guardar.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Grabar la compra"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btngrabarActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnSalir">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/imagenes/salir.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Salir"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnSalirActionPerformed"/>
      </Events>
    </Component>
    <Container class="javax.swing.JPanel" name="jPanel2">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <Component id="jLabel15" min="-2" max="-2" attributes="0"/>
                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                  <Component id="lblSubTotal" min="-2" pref="38" max="-2" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel17" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="lblIGV" min="-2" max="-2" attributes="0"/>
                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel19" min="-2" max="-2" attributes="0"/>
                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                  <Component id="lblNeto" max="32767" attributes="0"/>
                  <EmptySpace min="-2" pref="160" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel15" alignment="3" min="-2" pref="25" max="-2" attributes="0"/>
                      <Component id="lblSubTotal" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel17" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="lblIGV" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel19" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="lblNeto" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="jLabel15">
          <Properties>
            <Property name="text" type="java.lang.String" value="Sub. Total:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="lblSubTotal">
          <Properties>
            <Property name="text" type="java.lang.String" value="0.00"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel17">
          <Properties>
            <Property name="text" type="java.lang.String" value="IGV:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="lblIGV">
          <Properties>
            <Property name="text" type="java.lang.String" value="0.00"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel19">
          <Properties>
            <Property name="text" type="java.lang.String" value="Neto:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="lblNeto">
          <Properties>
            <Property name="text" type="java.lang.String" value="0.00"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
